Bug 827636 - [eap6] Cache resource uses custom component code for configuration read/write and resource creation
[eap6] Cache resource uses custom component code for configuration read/write...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 826066 835697
Blocks: as7-plugin 835698
  Show dependency treegraph
 
Reported: 2012-06-01 18:30 EDT by Stefan Negrea
Modified: 2013-09-01 06:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 835698 (view as bug list)
Environment:
Last Closed: 2013-09-01 06:05:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-01 18:30:50 EDT
Cache resource (sub resource for Infinispan) component uses custom component code for resource creation, configuration read, and configuration write. Also the custom component code collects a metric even if not defined in the resource descriptor. 


This resource should follow the same pattern used by ThreadPool (sub-resource of Threads subsystem) and Path (sub-resource of HornetQ server).
Comment 1 Charles Crouch 2012-06-11 10:46:26 EDT
As per 6/4/12 triage, target for jon311
Comment 2 Stefan Negrea 2012-06-12 17:31:54 EDT
Updated the Cache resource to use the generic templated implementation for resource types.

These fixes are dependent on the fixes for bug 826066. So please first merge those code changes into any older branch before merging the above commit.


master branch commits:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=64d1a7cc342250063d5325aba89fed454c73cd45
Comment 3 Heiko W. Rupp 2013-09-01 06:05:27 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.